#Copyright (C) 2016,2023 Weber Yann
#
#This program is free software; you can redistribute it and/or modify
#it under the terms of the GNU General Public License as published by
#the Free Software Foundation; either version 3 of the License, or
#any later version.
#
#This program is distributed in the hope that it will be useful,
#but WITHOUT ANY WARRANTY; without even the implied warranty of
#MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#GNU General Public License for more details.
#
#You should have received a copy of the GNU General Public License
#along with this program.  If not, see <http://www.gnu.org/licenses/>.

check_git_repo() {
	tmpdir=$(mktemp -d -t check_git.XXXXXXXXX)
	git clone "$1" "$tmpdir" 2>/dev/null 1>/dev/null
	res="$?"
	rm -Rf "$tmpdir"
	if [ "$res" -ne 0 ]
	then
		fail "unable to clone git repo '$1'"
	else
		success "git repo '$1' cloned'"
	fi
}

